Skip to content

Live Streaming

Start, inspect, and stop Cloud Phone live streaming.

Start Live Streaming

Request

Starts live streaming with one MP4 file that has finished uploading with uploadType=2. Only supported Cloud Phone models can use this operation.

If the request times out, query the live status before retrying. Business errors include 33300, 33301, 33401, 33418, and 99002.

Bodyapplication/jsonrequired
phoneIdinteger, (int64)required

Cloud phone ID

Example:190000000000000000
fileIdinteger, (int64)required

ID of an uploaded MP4 live-streaming file (uploadType=2)

Example:820000000000000000
POST
/api/cloudphone/live/start
curl -i -X POST \
  http://127.0.0.1:40000/api/cloudphone/live/start \
  -H 'Content-Type: application/json' \
  -d '{
    "phoneId": 190000000000000000,
    "fileId": 820000000000000000
  }'

Responses

Request processed; inspect code for the business result

Bodyapplication/json
codeintegerrequired

Business result code; 0 indicates success

Example:0
msgstring or nullrequired

Error message; null when successful

Example:null
requestIdstringrequired

Request ID for troubleshooting

Example:"1d4f3ea968664593860b94b35d4ebf5e"
databooleanrequired

Whether the live-streaming operation succeeded

Response
{ "code": 0, "msg": null, "data": true, "requestId": "1d4f3ea968664593860b94b35d4ebf5e" }